# Listings (Core)

Endpoints to create, update and read facility listings.

## GET /api/facilities/{facilityId}/listings

> List listings

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read facility listings.","name":"Listings (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"StrippedListings":{"properties":{"listings":{"items":{"$ref":"#/components/schemas/StrippedListing"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"type":"object","title":"StrippedListings","description":"StrippedListings"},"StrippedListing":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"properties":{"id":{"type":"string"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"tenantArticleId":{"description":"This is a reference to an article Id","type":"string"}},"required":["status","facilityId","id","tenantArticleId"],"type":"object"}],"title":"StrippedListing","description":"StrippedListing"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}/listings":{"get":{"description":"","operationId":"getFacilityListing","parameters":[{"description":"ID of facility you want to get listing for. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}},{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of facilities to show","in":"query","name":"size","required":false,"schema":{"default":25,"type":"integer"}},{"description":"Array of tenantArticleIds","explode":false,"in":"query","name":"tenantArticleIds","required":false,"schema":{"items":{"type":"string"},"maxItems":500,"type":"array"}},{"description":"limit results to this scannableCode","in":"query","name":"scannableCode","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrippedListings"}}},"description":"Facility was found & you were allowed to access it. The results are in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility not found"}},"summary":"List listings","tags":["Listings (Core)"]}}}}
```

## Update listings

> Bulk PUT for Listings. Please note: This endpoint has legacy behaviour, i.e. all PUTs fail if a single PUT fails.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read facility listings.","name":"Listings (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ListingsForReplacement":{"properties":{"listings":{"items":{"$ref":"#/components/schemas/ListingForReplacement"},"maxItems":500,"minItems":1,"type":"array"}},"required":["listings"],"type":"object","xml":{"name":"ListingsForReplacement"},"title":"ListingsForReplacement","description":"ListingsForReplacement"},"ListingForReplacement":{"allOf":[{"$ref":"#/components/schemas/ListingForCreation"}],"properties":{"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"version":{"format":"int64","type":"integer"}},"type":"object","xml":{"name":"ListingForReplacement"},"title":"ListingForReplacement","description":"ListingForReplacement"},"ListingForCreation":{"properties":{"titleLocalized":{"$ref":"#/components/schemas/LocaleString"},"attributes":{"items":{"$ref":"#/components/schemas/ListingAttributeItem"},"maxItems":40,"type":"array"},"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe","deprecated":true,"description":"@deprecated This property (for OutOfStockBehaviour.BACKORDER) is deprecated since 26th of February 2025."},"categoryRefs":{"description":"References to categories the listing belongs to.","items":{"type":"string"},"maxItems":10,"type":"array"},"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes).","nullable":true,"type":"string"},"customAttributes":{"description":"Attributes that can be added to the listing. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!","type":"string"},"legal":{"$ref":"#/components/schemas/ListingLegal"},"measurementUnitKey":{"description":"Identifier for items unit of measurement.","type":"string"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"outOfStockBehaviourByContexts":{"description":"The OutOfStockBehaviourByContexts is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","items":{"$ref":"#/components/schemas/OutOfStockBehaviourByContext"},"maxItems":10,"minItems":1,"type":"array"},"outOfStockConfig":{"$ref":"#/components/schemas/OutOfStockConfig","description":"The outOfStockConfig is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />"},"partialStocks":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023.\nUse /api/stocks endpoints instead.","items":{"$ref":"#/components/schemas/PartialStockForCreation"},"type":"array"},"price":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/ListingRecordableAttributeForCreation"},"maxItems":40,"type":"array"},"scannableCodes":{"items":{"description":"Codes, that identify the article","type":"string"},"type":"array"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"stockAvailableUntil":{"$ref":"#/components/schemas/AvailableUntilDefinition"},"stockinformation":{"$ref":"#/components/schemas/StockInformationForCreation","deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023.\nUse /api/stocks endpoints instead."},"stockProperties":{"additionalProperties":{"$ref":"#/components/schemas/StockPropertyDefinition"},"type":"object"},"tenantArticleId":{"description":"This is a reference to an article Id","minLength":1,"type":"string"},"title":{"description":"a title describing the article","minLength":1,"type":"string"},"weight":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)","minimum":0,"type":"number"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":0,"type":"array"}},"required":["tenantArticleId","title"],"type":"object","xml":{"name":"ListingForCreation"},"title":"ListingForCreation","description":"ListingForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ListingAttributeItem":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItem"}],"properties":{"valueLocalized":{"$ref":"#/components/schemas/LocaleString"},"keyLocalized":{"$ref":"#/components/schemas/LocaleString"}},"title":"ListingAttributeItem","description":"ListingAttributeItem"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by OCFF to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout our platform. For a complete list of possible categories\nand the correct use of those please refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear for example in the App directly under the title.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1,"type":"string"},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, e.g. priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of OCFF. Default\nValue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"AvailabilityTimeframe":{"properties":{"start":{"format":"date-time","type":"string"}},"type":"object","title":"AvailabilityTimeframe","description":"AvailabilityTimeframe"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"ListingLegal":{"additionalProperties":false,"properties":{"hsCode":{"maxLength":50,"type":"string"}},"type":"object","title":"ListingLegal","description":"ListingLegal"},"OutOfStockBehaviour":{"description":"The PREORDER and RESTOCK can be only set, when the depending outOfStockConfig is provided.\nAlso PREORDER and RESTOCK values are in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","enum":["NONE","BACKORDER","PREORDER","RESTOCK","PREORDER_AND_RESTOCK"],"type":"string","title":"OutOfStockBehaviour"},"OutOfStockBehaviourByContext":{"additionalProperties":false,"properties":{"context":{"description":"The context of the outOfStockBehaviour. This is used to determine the conditions under which the outOfStockBehaviour can be applied.\nFor details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/context\" target=\"_blank\">context documentation</a>.","items":{"$ref":"#/components/schemas/OutOfStockBehaviourContext","maxItems":5,"minItems":1},"type":"array"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"outOfStockConfig":{"$ref":"#/components/schemas/OutOfStockConfig"},"priority":{"description":"This value gives the priority in the respective OutOfStockBehaviourByContexts. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order OutOfStockBehaviourByContexts.","format":"int32","maximum":1000,"minimum":1,"type":"integer"}},"required":["outOfStockBehaviour","context","priority"],"type":"object","title":"OutOfStockBehaviourByContext","description":"OutOfStockBehaviourByContext"},"OutOfStockBehaviourContext":{"additionalProperties":false,"description":"The context of the outOfStockBehaviour. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","properties":{"operator":{"$ref":"#/components/schemas/ContextOperator"},"type":{"$ref":"#/components/schemas/OutOfStockBehaviourContextType"},"values":{"description":"The values of the context. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","items":{"maxItems":100,"minItems":0,"type":"string"},"type":"array"}},"required":["type","values"],"type":"object","title":"OutOfStockBehaviourContext"},"ContextOperator":{"description":"The operator used to define how the context values are evaluated or compared.","enum":["NOT"],"type":"string","title":"ContextOperator"},"OutOfStockBehaviourContextType":{"description":"The context type of the OutOfStockBehaviourContext. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","enum":["FACILITY_GROUP","TAG_REFERENCE"],"type":"string","title":"OutOfStockBehaviourContextType"},"OutOfStockConfig":{"additionalProperties":false,"properties":{"preorder":{"properties":{"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe"}},"required":["availabilityTimeframe"],"type":"object"},"restock":{"properties":{"restockableInDays":{"type":"integer"}},"required":["restockableInDays"],"type":"object"}},"type":"object","title":"OutOfStockConfig","description":"OutOfStockConfig"},"PartialStockForCreation":{"additionalProperties":false,"properties":{"location":{"$ref":"#/components/schemas/Location"},"scores":{"items":{"$ref":"#/components/schemas/Score"},"type":"array"},"stockinformation":{"$ref":"#/components/schemas/StockInformationForCreation"},"tenantPartialStockId":{"description":"The id associated with the partial stock","type":"string"}},"required":["tenantPartialStockId","stockinformation"],"type":"object","xml":{"name":"PartialStock"},"title":"PartialStockForCreation","description":"PartialStockForCreation"},"Location":{"properties":{"locationRef":{"description":"The id of the location","type":"string"},"scannableCodes":{"description":"Represents barcodes that may be scanned at this location","items":{"type":"string"},"type":"array"}},"xml":{"name":"Location"},"title":"Location","description":"Location"},"Score":{"properties":{"scoreName":{"$ref":"#/components/schemas/ScoreName"},"scoreType":{"$ref":"#/components/schemas/ScoreType"},"scoreValue":{"description":"Describes the performance of the score","type":"number"}},"required":["scoreType","scoreName","scoreValue"],"type":"object","xml":{"name":"Score"},"title":"Score","description":"Score"},"ScoreName":{"description":"Describes the name of the score for humans to identify","enum":["ZONE","EXPIRY_DATE","RECEIPT_DATE","RUNNING_SEQUENCE","RESTOW_SEQUENCE"],"type":"string","xml":{"name":"ScoreName"},"title":"ScoreName"},"ScoreType":{"description":"Describes what kind of score is represented","enum":["RATING","SEQUENCE"],"type":"string","xml":{"name":"ScoreType"},"title":"ScoreType"},"StockInformationForCreation":{"deprecated":true,"description":"@deprecated This object is deprecated since 30th of November 2023. This object carries information about the current stock of this listing.","properties":{"reserved":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 8th of February 2023.\nReserved can't be overridden by the API, because its internally now handled by open PickJobs (or other upcoming ways to reserve Stock)\nAny Value provided will be ignored upon arrival.","minimum":0,"multipleOf":1,"type":"number"},"stock":{"description":"This the amount of the given article that is in stock for the given facility","minimum":0,"multipleOf":1,"type":"number"}},"required":["stock"],"type":"object","title":"StockInformationForCreation"},"ListingRecordableAttributeForCreation":{"additionalProperties":false,"properties":{"keyLocalized":{"$ref":"#/components/schemas/LocaleString"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"ListingRecordableAttributeForCreation","type":"object","description":"ListingRecordableAttributeForCreation"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"AvailableUntilDefinition":{"properties":{"calculationBase":{"$ref":"#/components/schemas/AvailableUntilCalculationBase"},"modifier":{"description":"Moves the calculated date by the given period, defined in ISO-8601 duration notation. Use negative values to move the date backwards. Example: \"-P30D\" places the \"availableUntil\" value 30 days before the calculated date.","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"}},"required":["calculationBase"],"title":"AvailableUntilDefinition","description":"AvailableUntilDefinition"},"AvailableUntilCalculationBase":{"description":"The base for the calculation of the available until date. If it can't be resolved into a valid date (i.e. missing expiry value), an undefined \"availableUntil\" is the result","enum":["EXPIRY","CREATION"],"type":"string","xml":{"name":"AvailableUntilCalculationBase"},"title":"AvailableUntilCalculationBase"},"StockPropertyDefinition":{"properties":{"defaultValue":{"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />If {{NOW}} is provided, this will be replaced with a timestamp.","type":"string"},"inputType":{"$ref":"#/components/schemas/StockPropertyInputType"},"required":{"description":"Indicates if this property is required.","type":"boolean"}},"required":["inputType","required"],"type":"object","title":"StockPropertyDefinition","description":"StockPropertyDefinition"},"StockPropertyInputType":{"description":"Input Type for this property, used for clients.","enum":["DATE","TEXT"],"type":"string","title":"StockPropertyInputType"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ListingBulkOperationResult":{"properties":{"listing":{"$ref":"#/components/schemas/Listing"},"status":{"$ref":"#/components/schemas/BulkOperationResultStatus"}},"required":["listing","status"],"type":"object","title":"ListingBulkOperationResult","description":"ListingBulkOperationResult"},"Listing":{"allOf":[{"$ref":"#/components/schemas/ListingForCreation"},{"$ref":"#/components/schemas/VersionedResource"},{"properties":{"facilityId":{"description":"This is a reference to a facility","type":"string"},"id":{"type":"string"},"partialStocks":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023. Use /api/stocks endpoints instead.","items":{"$ref":"#/components/schemas/PartialStock"},"type":"array"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/ListingRecordableAttribute"},"maxItems":40,"type":"array"},"scannableCodes":{"items":{"description":"Codes, that identify the article","type":"string"},"type":"array"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"stockinformation":{"$ref":"#/components/schemas/StockInformation","deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023. Use /api/stocks endpoints instead."}},"required":["status","facilityId","id"],"type":"object"}],"xml":{"name":"Listing"},"title":"Listing","description":"Listing"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"PartialStock":{"allOf":[{"$ref":"#/components/schemas/PartialStockForCreation"}],"properties":{"eventLastModified":{"description":"The date when the inventory domain comunicated a change in this partial stock","format":"date-time","type":"string"},"stockinformation":{"$ref":"#/components/schemas/StockInformation"}},"required":["tenantPartialStockId","stockinformation"],"type":"object","xml":{"name":"PartialStock"},"title":"PartialStock","description":"PartialStock"},"StockInformation":{"allOf":[{"$ref":"#/components/schemas/StockInformationForCreation"},{"properties":{"available":{"description":"The actual available amount for this stock","minimum":0,"multipleOf":1,"type":"number"},"reserved":{"minimum":0,"multipleOf":1,"type":"number"}}}],"description":"@deprecated This object is deprecated since 11th of September 2023.","required":["available"],"type":"object","title":"StockInformation"},"ListingRecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"$ref":"#/components/schemas/LocaleString"},"key":{"description":"Calculated value from keyLocalized based on passed locale","type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"ListingRecordableAttribute","type":"object","description":"ListingRecordableAttribute"},"BulkOperationResultStatus":{"enum":["UPDATED","UNCHANGED","CREATED","FAILED"],"type":"string","title":"BulkOperationResultStatus","description":"BulkOperationResultStatus"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}/listings":{"put":{"description":"Bulk PUT for Listings. Please note: This endpoint has legacy behaviour, i.e. all PUTs fail if a single PUT fails.","operationId":"putFacilityListing","parameters":[{"description":"ID of facility you want to put listings for. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingsForReplacement"}}},"description":"listings for put","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ListingBulkOperationResult"},"type":"array"}}},"description":"Facility listing was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility listing not found"}},"summary":"Update listings","tags":["Listings (Core)"]}}}}
```

## DELETE /api/facilities/{facilityId}/listings

> Delete listings

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read facility listings.","name":"Listings (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}/listings":{"delete":{"description":"","operationId":"deleteListingsOfFacility","parameters":[{"description":"ID of facility you want to delete all listings of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Facility listings were found and successfully deleted"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility listing not found"}},"summary":"Delete listings","tags":["Listings (Core)"]}}}}
```

## GET /api/facilities/{facilityId}/listings/{tenantArticleId}

> Get listing

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read facility listings.","name":"Listings (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Listing":{"allOf":[{"$ref":"#/components/schemas/ListingForCreation"},{"$ref":"#/components/schemas/VersionedResource"},{"properties":{"facilityId":{"description":"This is a reference to a facility","type":"string"},"id":{"type":"string"},"partialStocks":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023. Use /api/stocks endpoints instead.","items":{"$ref":"#/components/schemas/PartialStock"},"type":"array"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/ListingRecordableAttribute"},"maxItems":40,"type":"array"},"scannableCodes":{"items":{"description":"Codes, that identify the article","type":"string"},"type":"array"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"stockinformation":{"$ref":"#/components/schemas/StockInformation","deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023. Use /api/stocks endpoints instead."}},"required":["status","facilityId","id"],"type":"object"}],"xml":{"name":"Listing"},"title":"Listing","description":"Listing"},"ListingForCreation":{"properties":{"titleLocalized":{"$ref":"#/components/schemas/LocaleString"},"attributes":{"items":{"$ref":"#/components/schemas/ListingAttributeItem"},"maxItems":40,"type":"array"},"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe","deprecated":true,"description":"@deprecated This property (for OutOfStockBehaviour.BACKORDER) is deprecated since 26th of February 2025."},"categoryRefs":{"description":"References to categories the listing belongs to.","items":{"type":"string"},"maxItems":10,"type":"array"},"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes).","nullable":true,"type":"string"},"customAttributes":{"description":"Attributes that can be added to the listing. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!","type":"string"},"legal":{"$ref":"#/components/schemas/ListingLegal"},"measurementUnitKey":{"description":"Identifier for items unit of measurement.","type":"string"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"outOfStockBehaviourByContexts":{"description":"The OutOfStockBehaviourByContexts is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","items":{"$ref":"#/components/schemas/OutOfStockBehaviourByContext"},"maxItems":10,"minItems":1,"type":"array"},"outOfStockConfig":{"$ref":"#/components/schemas/OutOfStockConfig","description":"The outOfStockConfig is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />"},"partialStocks":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023.\nUse /api/stocks endpoints instead.","items":{"$ref":"#/components/schemas/PartialStockForCreation"},"type":"array"},"price":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/ListingRecordableAttributeForCreation"},"maxItems":40,"type":"array"},"scannableCodes":{"items":{"description":"Codes, that identify the article","type":"string"},"type":"array"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"stockAvailableUntil":{"$ref":"#/components/schemas/AvailableUntilDefinition"},"stockinformation":{"$ref":"#/components/schemas/StockInformationForCreation","deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023.\nUse /api/stocks endpoints instead."},"stockProperties":{"additionalProperties":{"$ref":"#/components/schemas/StockPropertyDefinition"},"type":"object"},"tenantArticleId":{"description":"This is a reference to an article Id","minLength":1,"type":"string"},"title":{"description":"a title describing the article","minLength":1,"type":"string"},"weight":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)","minimum":0,"type":"number"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":0,"type":"array"}},"required":["tenantArticleId","title"],"type":"object","xml":{"name":"ListingForCreation"},"title":"ListingForCreation","description":"ListingForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ListingAttributeItem":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItem"}],"properties":{"valueLocalized":{"$ref":"#/components/schemas/LocaleString"},"keyLocalized":{"$ref":"#/components/schemas/LocaleString"}},"title":"ListingAttributeItem","description":"ListingAttributeItem"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by OCFF to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout our platform. For a complete list of possible categories\nand the correct use of those please refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear for example in the App directly under the title.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1,"type":"string"},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, e.g. priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of OCFF. Default\nValue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"AvailabilityTimeframe":{"properties":{"start":{"format":"date-time","type":"string"}},"type":"object","title":"AvailabilityTimeframe","description":"AvailabilityTimeframe"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"ListingLegal":{"additionalProperties":false,"properties":{"hsCode":{"maxLength":50,"type":"string"}},"type":"object","title":"ListingLegal","description":"ListingLegal"},"OutOfStockBehaviour":{"description":"The PREORDER and RESTOCK can be only set, when the depending outOfStockConfig is provided.\nAlso PREORDER and RESTOCK values are in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","enum":["NONE","BACKORDER","PREORDER","RESTOCK","PREORDER_AND_RESTOCK"],"type":"string","title":"OutOfStockBehaviour"},"OutOfStockBehaviourByContext":{"additionalProperties":false,"properties":{"context":{"description":"The context of the outOfStockBehaviour. This is used to determine the conditions under which the outOfStockBehaviour can be applied.\nFor details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/context\" target=\"_blank\">context documentation</a>.","items":{"$ref":"#/components/schemas/OutOfStockBehaviourContext","maxItems":5,"minItems":1},"type":"array"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"outOfStockConfig":{"$ref":"#/components/schemas/OutOfStockConfig"},"priority":{"description":"This value gives the priority in the respective OutOfStockBehaviourByContexts. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order OutOfStockBehaviourByContexts.","format":"int32","maximum":1000,"minimum":1,"type":"integer"}},"required":["outOfStockBehaviour","context","priority"],"type":"object","title":"OutOfStockBehaviourByContext","description":"OutOfStockBehaviourByContext"},"OutOfStockBehaviourContext":{"additionalProperties":false,"description":"The context of the outOfStockBehaviour. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","properties":{"operator":{"$ref":"#/components/schemas/ContextOperator"},"type":{"$ref":"#/components/schemas/OutOfStockBehaviourContextType"},"values":{"description":"The values of the context. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","items":{"maxItems":100,"minItems":0,"type":"string"},"type":"array"}},"required":["type","values"],"type":"object","title":"OutOfStockBehaviourContext"},"ContextOperator":{"description":"The operator used to define how the context values are evaluated or compared.","enum":["NOT"],"type":"string","title":"ContextOperator"},"OutOfStockBehaviourContextType":{"description":"The context type of the OutOfStockBehaviourContext. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","enum":["FACILITY_GROUP","TAG_REFERENCE"],"type":"string","title":"OutOfStockBehaviourContextType"},"OutOfStockConfig":{"additionalProperties":false,"properties":{"preorder":{"properties":{"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe"}},"required":["availabilityTimeframe"],"type":"object"},"restock":{"properties":{"restockableInDays":{"type":"integer"}},"required":["restockableInDays"],"type":"object"}},"type":"object","title":"OutOfStockConfig","description":"OutOfStockConfig"},"PartialStockForCreation":{"additionalProperties":false,"properties":{"location":{"$ref":"#/components/schemas/Location"},"scores":{"items":{"$ref":"#/components/schemas/Score"},"type":"array"},"stockinformation":{"$ref":"#/components/schemas/StockInformationForCreation"},"tenantPartialStockId":{"description":"The id associated with the partial stock","type":"string"}},"required":["tenantPartialStockId","stockinformation"],"type":"object","xml":{"name":"PartialStock"},"title":"PartialStockForCreation","description":"PartialStockForCreation"},"Location":{"properties":{"locationRef":{"description":"The id of the location","type":"string"},"scannableCodes":{"description":"Represents barcodes that may be scanned at this location","items":{"type":"string"},"type":"array"}},"xml":{"name":"Location"},"title":"Location","description":"Location"},"Score":{"properties":{"scoreName":{"$ref":"#/components/schemas/ScoreName"},"scoreType":{"$ref":"#/components/schemas/ScoreType"},"scoreValue":{"description":"Describes the performance of the score","type":"number"}},"required":["scoreType","scoreName","scoreValue"],"type":"object","xml":{"name":"Score"},"title":"Score","description":"Score"},"ScoreName":{"description":"Describes the name of the score for humans to identify","enum":["ZONE","EXPIRY_DATE","RECEIPT_DATE","RUNNING_SEQUENCE","RESTOW_SEQUENCE"],"type":"string","xml":{"name":"ScoreName"},"title":"ScoreName"},"ScoreType":{"description":"Describes what kind of score is represented","enum":["RATING","SEQUENCE"],"type":"string","xml":{"name":"ScoreType"},"title":"ScoreType"},"StockInformationForCreation":{"deprecated":true,"description":"@deprecated This object is deprecated since 30th of November 2023. This object carries information about the current stock of this listing.","properties":{"reserved":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 8th of February 2023.\nReserved can't be overridden by the API, because its internally now handled by open PickJobs (or other upcoming ways to reserve Stock)\nAny Value provided will be ignored upon arrival.","minimum":0,"multipleOf":1,"type":"number"},"stock":{"description":"This the amount of the given article that is in stock for the given facility","minimum":0,"multipleOf":1,"type":"number"}},"required":["stock"],"type":"object","title":"StockInformationForCreation"},"ListingRecordableAttributeForCreation":{"additionalProperties":false,"properties":{"keyLocalized":{"$ref":"#/components/schemas/LocaleString"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"ListingRecordableAttributeForCreation","type":"object","description":"ListingRecordableAttributeForCreation"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"AvailableUntilDefinition":{"properties":{"calculationBase":{"$ref":"#/components/schemas/AvailableUntilCalculationBase"},"modifier":{"description":"Moves the calculated date by the given period, defined in ISO-8601 duration notation. Use negative values to move the date backwards. Example: \"-P30D\" places the \"availableUntil\" value 30 days before the calculated date.","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"}},"required":["calculationBase"],"title":"AvailableUntilDefinition","description":"AvailableUntilDefinition"},"AvailableUntilCalculationBase":{"description":"The base for the calculation of the available until date. If it can't be resolved into a valid date (i.e. missing expiry value), an undefined \"availableUntil\" is the result","enum":["EXPIRY","CREATION"],"type":"string","xml":{"name":"AvailableUntilCalculationBase"},"title":"AvailableUntilCalculationBase"},"StockPropertyDefinition":{"properties":{"defaultValue":{"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />If {{NOW}} is provided, this will be replaced with a timestamp.","type":"string"},"inputType":{"$ref":"#/components/schemas/StockPropertyInputType"},"required":{"description":"Indicates if this property is required.","type":"boolean"}},"required":["inputType","required"],"type":"object","title":"StockPropertyDefinition","description":"StockPropertyDefinition"},"StockPropertyInputType":{"description":"Input Type for this property, used for clients.","enum":["DATE","TEXT"],"type":"string","title":"StockPropertyInputType"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"PartialStock":{"allOf":[{"$ref":"#/components/schemas/PartialStockForCreation"}],"properties":{"eventLastModified":{"description":"The date when the inventory domain comunicated a change in this partial stock","format":"date-time","type":"string"},"stockinformation":{"$ref":"#/components/schemas/StockInformation"}},"required":["tenantPartialStockId","stockinformation"],"type":"object","xml":{"name":"PartialStock"},"title":"PartialStock","description":"PartialStock"},"StockInformation":{"allOf":[{"$ref":"#/components/schemas/StockInformationForCreation"},{"properties":{"available":{"description":"The actual available amount for this stock","minimum":0,"multipleOf":1,"type":"number"},"reserved":{"minimum":0,"multipleOf":1,"type":"number"}}}],"description":"@deprecated This object is deprecated since 11th of September 2023.","required":["available"],"type":"object","title":"StockInformation"},"ListingRecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"$ref":"#/components/schemas/LocaleString"},"key":{"description":"Calculated value from keyLocalized based on passed locale","type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"ListingRecordableAttribute","type":"object","description":"ListingRecordableAttribute"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}/listings/{tenantArticleId}":{"get":{"description":"","operationId":"getListing","parameters":[{"description":"ID of facility you want to get listing. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}},{"description":"tenantArticleId of listing you want to get","in":"path","name":"tenantArticleId","required":true,"schema":{"type":"string"}},{"description":"Provide the localized names and descriptions for the listing. If not provided the default locale is used., for example de_DE.","in":"query","name":"locale","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Listing"}}},"description":"Listing is found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Listings not found"}},"summary":"Get listing","tags":["Listings (Core)"]}}}}
```

## DELETE /api/facilities/{facilityId}/listings/{tenantArticleId}

> Delete listing

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read facility listings.","name":"Listings (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}/listings/{tenantArticleId}":{"delete":{"description":"","operationId":"deleteFacilityListing","parameters":[{"description":"ID of facility you want to delete a listing of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}},{"description":"tenant ID of the articles listing you want to delete","in":"path","name":"tenantArticleId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Facility listing was found and successfully deleted"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility listing not found"}},"summary":"Delete listing","tags":["Listings (Core)"]}}}}
```

## PATCH /api/facilities/{facilityId}/listings/{tenantArticleId}

> Update listing

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read facility listings.","name":"Listings (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ListingPatchActions":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/ModifyListing"},"minItems":1,"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","actions"],"type":"object","xml":{"name":"ListingPatchActions"},"title":"ListingPatchActions","description":"ListingPatchActions"},"ModifyListing":{"allOf":[{"$ref":"#/components/schemas/AbstractModificationAction"},{"additionalProperties":false,"properties":{"titleLocalized":{"$ref":"#/components/schemas/LocaleString"},"action":{"description":"Use value 'ModifyListing', because you want to modify a listing","enum":["ModifyListing"],"type":"string"},"attributes":{"description":"The attributes of this listing","items":{"$ref":"#/components/schemas/ListingAttributeItem"},"maxItems":40,"type":"array"},"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe","deprecated":true,"description":"@deprecated This property (for OutOfStockBehaviour.BACKORDER) is deprecated since 26th of February 2025."},"categoryRefs":{"description":"References to categories the listing belongs to.","items":{"type":"string"},"maxItems":10,"type":"array"},"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes).","nullable":true,"type":"string"},"customAttributes":{"description":"Attributes that can be added to the listing. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!","type":"string"},"legal":{"$ref":"#/components/schemas/ListingLegal"},"measurementUnitKey":{"nullable":true,"type":"string"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"outOfStockConfig":{"$ref":"#/components/schemas/OutOfStockConfig","description":"The outOfStockConfig is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />"},"price":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/ListingRecordableAttributeForCreation"},"maxItems":40,"type":"array"},"scannableCodes":{"items":{"description":"Codes, that identify the article","type":"string"},"type":"array"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"status":{"description":"The status indicates if a listing is available or not","enum":["ACTIVE","INACTIVE"],"type":"string"},"stockAvailableUntil":{"$ref":"#/components/schemas/AvailableUntilDefinition"},"stockinformation":{"$ref":"#/components/schemas/StockInformationForCreation","deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023. Use /api/stocks endpoints instead."},"stockProperties":{"additionalProperties":{"$ref":"#/components/schemas/StockPropertyDefinition"},"nullable":true,"type":"object"},"subtitle":{"description":"a subtitle describing the article","type":"string"},"title":{"description":"a title describing the article","type":"string"},"weight":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)","type":"number"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":0,"type":"array"}},"required":["action"],"type":"object"}],"xml":{"name":"ModifyListing"},"title":"ModifyListing","description":"ModifyListing"},"AbstractModificationAction":{"discriminator":{"propertyName":"action"},"properties":{"action":{"description":"","enum":["AddAllowedValueToTag","ModifyPickJob","ModifyPickJobLastEditor","RestartPickJob","ResetPickJob","CancelPickRun","CancelHandoverjob","AbortPickJob","FinishPickRun","StartPickRun","ModifyPickLineItem","ModifyPickRunLineItem","ModifyPackJob","PausePackJob","ModifyPackLineItem","SplitLineItemsPackJob","ModifyFacility","ModifyListing","ModifyRetainedOfflineStock","ModifyListingReactivationAfter","ModifyUser","ModifyShipment","ModifyHandoverjob","ModifyCarrier","ModifyShortpick","ModifyRoutingPlan","ModifyFence","ModifyRating","ModifyTimingMode","ModifyGlobalRoutingConfiguration","ModifyOrderSplit","ModifyPrioritization","ModifyLoadUnitType","ModifyFeature","ModifyParcel","ModifyParcelLoadUnit","ModifyRestowItem","RemovePickJobFromPickRun","ModifyPartialStock","AddTagsToProcess","AssignFacilityToProcess","UpdateGdprCleanupDateAction","ModifyStorageLocation","ModifyPackingContainerType","ModifyPackingContainerTypeIcon","ReplaceCodesInPackingTargetContainer","ReplaceLoadUnitLineItems","AddLineItemToPackingTargetContainer","RemoveLineItemFromPackingTargetContainer","UpdateLineItemOnPackingTargetContainer","UpdatePackingTargetContainerLineItemRecordableAttributes","ModifyCustomService","UnlockOrder"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"AbstractModificationAction"},"title":"AbstractModificationAction","description":"AbstractModificationAction"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ListingAttributeItem":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItem"}],"properties":{"valueLocalized":{"$ref":"#/components/schemas/LocaleString"},"keyLocalized":{"$ref":"#/components/schemas/LocaleString"}},"title":"ListingAttributeItem","description":"ListingAttributeItem"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by OCFF to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout our platform. For a complete list of possible categories\nand the correct use of those please refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear for example in the App directly under the title.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1,"type":"string"},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, e.g. priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of OCFF. Default\nValue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"AvailabilityTimeframe":{"properties":{"start":{"format":"date-time","type":"string"}},"type":"object","title":"AvailabilityTimeframe","description":"AvailabilityTimeframe"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"ListingLegal":{"additionalProperties":false,"properties":{"hsCode":{"maxLength":50,"type":"string"}},"type":"object","title":"ListingLegal","description":"ListingLegal"},"OutOfStockBehaviour":{"description":"The PREORDER and RESTOCK can be only set, when the depending outOfStockConfig is provided.\nAlso PREORDER and RESTOCK values are in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","enum":["NONE","BACKORDER","PREORDER","RESTOCK","PREORDER_AND_RESTOCK"],"type":"string","title":"OutOfStockBehaviour"},"OutOfStockConfig":{"additionalProperties":false,"properties":{"preorder":{"properties":{"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe"}},"required":["availabilityTimeframe"],"type":"object"},"restock":{"properties":{"restockableInDays":{"type":"integer"}},"required":["restockableInDays"],"type":"object"}},"type":"object","title":"OutOfStockConfig","description":"OutOfStockConfig"},"ListingRecordableAttributeForCreation":{"additionalProperties":false,"properties":{"keyLocalized":{"$ref":"#/components/schemas/LocaleString"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"ListingRecordableAttributeForCreation","type":"object","description":"ListingRecordableAttributeForCreation"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"AvailableUntilDefinition":{"properties":{"calculationBase":{"$ref":"#/components/schemas/AvailableUntilCalculationBase"},"modifier":{"description":"Moves the calculated date by the given period, defined in ISO-8601 duration notation. Use negative values to move the date backwards. Example: \"-P30D\" places the \"availableUntil\" value 30 days before the calculated date.","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"}},"required":["calculationBase"],"title":"AvailableUntilDefinition","description":"AvailableUntilDefinition"},"AvailableUntilCalculationBase":{"description":"The base for the calculation of the available until date. If it can't be resolved into a valid date (i.e. missing expiry value), an undefined \"availableUntil\" is the result","enum":["EXPIRY","CREATION"],"type":"string","xml":{"name":"AvailableUntilCalculationBase"},"title":"AvailableUntilCalculationBase"},"StockInformationForCreation":{"deprecated":true,"description":"@deprecated This object is deprecated since 30th of November 2023. This object carries information about the current stock of this listing.","properties":{"reserved":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 8th of February 2023.\nReserved can't be overridden by the API, because its internally now handled by open PickJobs (or other upcoming ways to reserve Stock)\nAny Value provided will be ignored upon arrival.","minimum":0,"multipleOf":1,"type":"number"},"stock":{"description":"This the amount of the given article that is in stock for the given facility","minimum":0,"multipleOf":1,"type":"number"}},"required":["stock"],"type":"object","title":"StockInformationForCreation"},"StockPropertyDefinition":{"properties":{"defaultValue":{"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />If {{NOW}} is provided, this will be replaced with a timestamp.","type":"string"},"inputType":{"$ref":"#/components/schemas/StockPropertyInputType"},"required":{"description":"Indicates if this property is required.","type":"boolean"}},"required":["inputType","required"],"type":"object","title":"StockPropertyDefinition","description":"StockPropertyDefinition"},"StockPropertyInputType":{"description":"Input Type for this property, used for clients.","enum":["DATE","TEXT"],"type":"string","title":"StockPropertyInputType"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"Listing":{"allOf":[{"$ref":"#/components/schemas/ListingForCreation"},{"$ref":"#/components/schemas/VersionedResource"},{"properties":{"facilityId":{"description":"This is a reference to a facility","type":"string"},"id":{"type":"string"},"partialStocks":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023. Use /api/stocks endpoints instead.","items":{"$ref":"#/components/schemas/PartialStock"},"type":"array"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/ListingRecordableAttribute"},"maxItems":40,"type":"array"},"scannableCodes":{"items":{"description":"Codes, that identify the article","type":"string"},"type":"array"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"stockinformation":{"$ref":"#/components/schemas/StockInformation","deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023. Use /api/stocks endpoints instead."}},"required":["status","facilityId","id"],"type":"object"}],"xml":{"name":"Listing"},"title":"Listing","description":"Listing"},"ListingForCreation":{"properties":{"titleLocalized":{"$ref":"#/components/schemas/LocaleString"},"attributes":{"items":{"$ref":"#/components/schemas/ListingAttributeItem"},"maxItems":40,"type":"array"},"availabilityTimeframe":{"$ref":"#/components/schemas/AvailabilityTimeframe","deprecated":true,"description":"@deprecated This property (for OutOfStockBehaviour.BACKORDER) is deprecated since 26th of February 2025."},"categoryRefs":{"description":"References to categories the listing belongs to.","items":{"type":"string"},"maxItems":10,"type":"array"},"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes).","nullable":true,"type":"string"},"customAttributes":{"description":"Attributes that can be added to the listing. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!","type":"string"},"legal":{"$ref":"#/components/schemas/ListingLegal"},"measurementUnitKey":{"description":"Identifier for items unit of measurement.","type":"string"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"outOfStockBehaviourByContexts":{"description":"The OutOfStockBehaviourByContexts is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","items":{"$ref":"#/components/schemas/OutOfStockBehaviourByContext"},"maxItems":10,"minItems":1,"type":"array"},"outOfStockConfig":{"$ref":"#/components/schemas/OutOfStockConfig","description":"The outOfStockConfig is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />"},"partialStocks":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023.\nUse /api/stocks endpoints instead.","items":{"$ref":"#/components/schemas/PartialStockForCreation"},"type":"array"},"price":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/ListingRecordableAttributeForCreation"},"maxItems":40,"type":"array"},"scannableCodes":{"items":{"description":"Codes, that identify the article","type":"string"},"type":"array"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"stockAvailableUntil":{"$ref":"#/components/schemas/AvailableUntilDefinition"},"stockinformation":{"$ref":"#/components/schemas/StockInformationForCreation","deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 11th of September 2023.\nUse /api/stocks endpoints instead."},"stockProperties":{"additionalProperties":{"$ref":"#/components/schemas/StockPropertyDefinition"},"type":"object"},"tenantArticleId":{"description":"This is a reference to an article Id","minLength":1,"type":"string"},"title":{"description":"a title describing the article","minLength":1,"type":"string"},"weight":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)","minimum":0,"type":"number"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":0,"type":"array"}},"required":["tenantArticleId","title"],"type":"object","xml":{"name":"ListingForCreation"},"title":"ListingForCreation","description":"ListingForCreation"},"OutOfStockBehaviourByContext":{"additionalProperties":false,"properties":{"context":{"description":"The context of the outOfStockBehaviour. This is used to determine the conditions under which the outOfStockBehaviour can be applied.\nFor details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/context\" target=\"_blank\">context documentation</a>.","items":{"$ref":"#/components/schemas/OutOfStockBehaviourContext","maxItems":5,"minItems":1},"type":"array"},"outOfStockBehaviour":{"$ref":"#/components/schemas/OutOfStockBehaviour"},"outOfStockConfig":{"$ref":"#/components/schemas/OutOfStockConfig"},"priority":{"description":"This value gives the priority in the respective OutOfStockBehaviourByContexts. The lower the value the higher is the priority, e.g. priority 1 is higher than priority 10. The priority can be used to order OutOfStockBehaviourByContexts.","format":"int32","maximum":1000,"minimum":1,"type":"integer"}},"required":["outOfStockBehaviour","context","priority"],"type":"object","title":"OutOfStockBehaviourByContext","description":"OutOfStockBehaviourByContext"},"OutOfStockBehaviourContext":{"additionalProperties":false,"description":"The context of the outOfStockBehaviour. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","properties":{"operator":{"$ref":"#/components/schemas/ContextOperator"},"type":{"$ref":"#/components/schemas/OutOfStockBehaviourContextType"},"values":{"description":"The values of the context. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","items":{"maxItems":100,"minItems":0,"type":"string"},"type":"array"}},"required":["type","values"],"type":"object","title":"OutOfStockBehaviourContext"},"ContextOperator":{"description":"The operator used to define how the context values are evaluated or compared.","enum":["NOT"],"type":"string","title":"ContextOperator"},"OutOfStockBehaviourContextType":{"description":"The context type of the OutOfStockBehaviourContext. This is used to determine the conditions under which the outOfStockBehaviour can be applied.","enum":["FACILITY_GROUP","TAG_REFERENCE"],"type":"string","title":"OutOfStockBehaviourContextType"},"PartialStockForCreation":{"additionalProperties":false,"properties":{"location":{"$ref":"#/components/schemas/Location"},"scores":{"items":{"$ref":"#/components/schemas/Score"},"type":"array"},"stockinformation":{"$ref":"#/components/schemas/StockInformationForCreation"},"tenantPartialStockId":{"description":"The id associated with the partial stock","type":"string"}},"required":["tenantPartialStockId","stockinformation"],"type":"object","xml":{"name":"PartialStock"},"title":"PartialStockForCreation","description":"PartialStockForCreation"},"Location":{"properties":{"locationRef":{"description":"The id of the location","type":"string"},"scannableCodes":{"description":"Represents barcodes that may be scanned at this location","items":{"type":"string"},"type":"array"}},"xml":{"name":"Location"},"title":"Location","description":"Location"},"Score":{"properties":{"scoreName":{"$ref":"#/components/schemas/ScoreName"},"scoreType":{"$ref":"#/components/schemas/ScoreType"},"scoreValue":{"description":"Describes the performance of the score","type":"number"}},"required":["scoreType","scoreName","scoreValue"],"type":"object","xml":{"name":"Score"},"title":"Score","description":"Score"},"ScoreName":{"description":"Describes the name of the score for humans to identify","enum":["ZONE","EXPIRY_DATE","RECEIPT_DATE","RUNNING_SEQUENCE","RESTOW_SEQUENCE"],"type":"string","xml":{"name":"ScoreName"},"title":"ScoreName"},"ScoreType":{"description":"Describes what kind of score is represented","enum":["RATING","SEQUENCE"],"type":"string","xml":{"name":"ScoreType"},"title":"ScoreType"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"PartialStock":{"allOf":[{"$ref":"#/components/schemas/PartialStockForCreation"}],"properties":{"eventLastModified":{"description":"The date when the inventory domain comunicated a change in this partial stock","format":"date-time","type":"string"},"stockinformation":{"$ref":"#/components/schemas/StockInformation"}},"required":["tenantPartialStockId","stockinformation"],"type":"object","xml":{"name":"PartialStock"},"title":"PartialStock","description":"PartialStock"},"StockInformation":{"allOf":[{"$ref":"#/components/schemas/StockInformationForCreation"},{"properties":{"available":{"description":"The actual available amount for this stock","minimum":0,"multipleOf":1,"type":"number"},"reserved":{"minimum":0,"multipleOf":1,"type":"number"}}}],"description":"@deprecated This object is deprecated since 11th of September 2023.","required":["available"],"type":"object","title":"StockInformation"},"ListingRecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"$ref":"#/components/schemas/LocaleString"},"key":{"description":"Calculated value from keyLocalized based on passed locale","type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"ListingRecordableAttribute","type":"object","description":"ListingRecordableAttribute"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}/listings/{tenantArticleId}":{"patch":{"description":"","operationId":"patchFacilityListing","parameters":[{"description":"ID of facility you want to patch a listing of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}},{"description":"tenant ID of the articles listing you want to patch","in":"path","name":"tenantArticleId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListingPatchActions"}}},"description":"listings for put","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/Listing"},"type":"array"}}},"description":"Facility listing was found and successfully patched"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility listing not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Listing version conflict"}},"summary":"Update listing","tags":["Listings (Core)"]}}}}
```

## List listing partial stocks

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />This endpoint is deprecated. Use /api/stocks endpoints instead.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read facility listings.","name":"Listings (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PartialStock":{"allOf":[{"$ref":"#/components/schemas/PartialStockForCreation"}],"properties":{"eventLastModified":{"description":"The date when the inventory domain comunicated a change in this partial stock","format":"date-time","type":"string"},"stockinformation":{"$ref":"#/components/schemas/StockInformation"}},"required":["tenantPartialStockId","stockinformation"],"type":"object","xml":{"name":"PartialStock"},"title":"PartialStock","description":"PartialStock"},"PartialStockForCreation":{"additionalProperties":false,"properties":{"location":{"$ref":"#/components/schemas/Location"},"scores":{"items":{"$ref":"#/components/schemas/Score"},"type":"array"},"stockinformation":{"$ref":"#/components/schemas/StockInformationForCreation"},"tenantPartialStockId":{"description":"The id associated with the partial stock","type":"string"}},"required":["tenantPartialStockId","stockinformation"],"type":"object","xml":{"name":"PartialStock"},"title":"PartialStockForCreation","description":"PartialStockForCreation"},"Location":{"properties":{"locationRef":{"description":"The id of the location","type":"string"},"scannableCodes":{"description":"Represents barcodes that may be scanned at this location","items":{"type":"string"},"type":"array"}},"xml":{"name":"Location"},"title":"Location","description":"Location"},"Score":{"properties":{"scoreName":{"$ref":"#/components/schemas/ScoreName"},"scoreType":{"$ref":"#/components/schemas/ScoreType"},"scoreValue":{"description":"Describes the performance of the score","type":"number"}},"required":["scoreType","scoreName","scoreValue"],"type":"object","xml":{"name":"Score"},"title":"Score","description":"Score"},"ScoreName":{"description":"Describes the name of the score for humans to identify","enum":["ZONE","EXPIRY_DATE","RECEIPT_DATE","RUNNING_SEQUENCE","RESTOW_SEQUENCE"],"type":"string","xml":{"name":"ScoreName"},"title":"ScoreName"},"ScoreType":{"description":"Describes what kind of score is represented","enum":["RATING","SEQUENCE"],"type":"string","xml":{"name":"ScoreType"},"title":"ScoreType"},"StockInformationForCreation":{"deprecated":true,"description":"@deprecated This object is deprecated since 30th of November 2023. This object carries information about the current stock of this listing.","properties":{"reserved":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />@deprecated This field is deprecated since 8th of February 2023.\nReserved can't be overridden by the API, because its internally now handled by open PickJobs (or other upcoming ways to reserve Stock)\nAny Value provided will be ignored upon arrival.","minimum":0,"multipleOf":1,"type":"number"},"stock":{"description":"This the amount of the given article that is in stock for the given facility","minimum":0,"multipleOf":1,"type":"number"}},"required":["stock"],"type":"object","title":"StockInformationForCreation"},"StockInformation":{"allOf":[{"$ref":"#/components/schemas/StockInformationForCreation"},{"properties":{"available":{"description":"The actual available amount for this stock","minimum":0,"multipleOf":1,"type":"number"},"reserved":{"minimum":0,"multipleOf":1,"type":"number"}}}],"description":"@deprecated This object is deprecated since 11th of September 2023.","required":["available"],"type":"object","title":"StockInformation"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilities/{facilityId}/listings/{tenantArticleId}/partialstocks":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />This endpoint is deprecated. Use /api/stocks endpoints instead.","operationId":"getFacilityListingPartialStock","parameters":[{"description":"ID of facility you want to get the partial stocks. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).","in":"path","name":"facilityId","required":true,"schema":{"type":"string"}},{"description":"ID of listing you want to get partial stocks","in":"path","name":"tenantArticleId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/PartialStock"},"type":"array"}}},"description":"Facility and listing were found & you are allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility or Listing not found"}},"summary":"List listing partial stocks","tags":["Listings (Core)"]}}}}
[...]
